Bug 233842 - [NEW PORT] devel/jetbrains-phpstorm: JetBrains PhpStorm IDE
Summary: [NEW PORT] devel/jetbrains-phpstorm: JetBrains PhpStorm IDE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Pedro F. Giffuni
URL:
Keywords: feature, needs-qa
Depends on:
Blocks:
 
Reported: 2018-12-07 02:48 UTC by Pedro F. Giffuni
Modified: 2019-01-11 18:57 UTC (History)
0 users

See Also:


Attachments
New port as a shar file (47.37 KB, application/x-shellscript)
2018-12-07 02:48 UTC, Pedro F. Giffuni
no flags Details
New port as a shar file (47.37 KB, application/x-shellscript)
2018-12-07 02:53 UTC, Pedro F. Giffuni
no flags Details
New port as a svn diff (47.22 KB, patch)
2018-12-07 02:58 UTC, Pedro F. Giffuni
no flags Details | Diff
New port as a svn diff (41.45 KB, patch)
2018-12-07 15:37 UTC, Pedro F. Giffuni
no flags Details | Diff
New phpstorm port as a svn diff (41.69 KB, patch)
2018-12-19 00:17 UTC, Pedro F. Giffuni
no flags Details | Diff
New phpstorm port 2018.3.2 as a svn diff (40.11 KB, patch)
2018-12-27 17:07 UTC, Pedro F. Giffuni
no flags Details | Diff
New phpstorm port 2018.3.2 as a svn diff (40.08 KB, patch)
2018-12-28 17:44 UTC, Pedro F. Giffuni
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni freebsd_committer 2018-12-07 02:48:28 UTC
Created attachment 199916 [details]
New port as a shar file

I was gladly surprised to find we already support intellij and other products from JetBrains so I gave a try on PhpStorm based on the existing port for RubyMine and it appears to work!

PhPStorm is an Integrated Development Environment for PHP and its frameworks developed by JetBrains. Commercial and Academic licenses are available.
Comment 1 Pedro F. Giffuni freebsd_committer 2018-12-07 02:53:58 UTC
Created attachment 199917 [details]
New port as a shar file

Move it to the java category, since it uses a file from the intellij port.
Comment 2 Pedro F. Giffuni freebsd_committer 2018-12-07 02:58:42 UTC
Created attachment 199918 [details]
New port as a svn diff

svn diff should be easier to read on bugzilla.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-07 06:08:10 UTC
@Pedro Nice! Might want to stick this up in a Phabricator review and confirm that is  passes QA (poudriere). 

@triage: Reporter is (source) committer, assign accordingly. Change doesn't require a ports committer to commit, only requires ports (committer) review/acceptance.
Comment 4 Pedro F. Giffuni freebsd_committer 2018-12-07 15:37:48 UTC
Created attachment 199936 [details]
New port as a svn diff

rename intellij --> jetbrains. IntelliJ is usually for the Java stuff.
Remove the linux 64bit JRE from the installation.
Comment 5 Pedro F. Giffuni freebsd_committer 2018-12-07 19:22:25 UTC
(In reply to Kubilay Kocak from comment #3)
FWIW, I tried to do it through phabricator but I got this:

...
Linting...
No lint engine configured for this project.
Running unit tests...
No unit test engine is configured for this project.
 Exception 
[cURL/92] (https://reviews.freebsd.org/api/differential.creatediff) The cURL library raised an error while making a request. You may be able to find more information about this error (error code: 92) on the cURL site: http://curl.haxx.se/libcurl/c/libcurl-errors.html#
(Run with `--trace` for a full exception trace.)

Diff uploaded to:
https://reviews.freebsd.org/D18477
Comment 6 Pedro F. Giffuni freebsd_committer 2018-12-19 00:17:49 UTC
Created attachment 200248 [details]
New phpstorm port as a svn diff

Latest patch.
Comment 7 Pedro F. Giffuni freebsd_committer 2018-12-27 17:07:45 UTC
Created attachment 200564 [details]
New phpstorm port 2018.3.2 as a svn diff

- Update to 2018.3.2
- Move to devel as we don't really depend on the intellij infrastructure.
- Use native file watching support as in the latest intellij port.
Comment 8 Pedro F. Giffuni freebsd_committer 2018-12-28 17:44:53 UTC
Created attachment 200583 [details]
New phpstorm port 2018.3.2 as a svn diff
Comment 9 Pedro F. Giffuni freebsd_committer 2018-12-28 17:49:02 UTC
For the record: while the port appears to run fine at first. after some time I am unable to edit naything through the keyboard.

It is probably some Java-related issue but the port is therefore not very useful for production purposes.
Comment 10 Pedro F. Giffuni freebsd_committer 2019-01-02 18:48:49 UTC
(In reply to Pedro F. Giffuni from comment #9)
Hmm .. using hald seems to have fixed the keyboard issues.

So .. this is good to go, apparently.
Comment 11 commit-hook freebsd_committer 2019-01-11 18:27:37 UTC
A commit references this bug:

Author: pfg
Date: Fri Jan 11 18:27:28 UTC 2019
New revision: 489987
URL: https://svnweb.freebsd.org/changeset/ports/489987

Log:
  New port devel/phpstorm: ligthning-smart PHP IDE.

  This is in the same family of IntelliJ products from JetBrains.
  Commercial and academic licenses are available.

  Note: a new version was just released but it doesn't work well on FreeBSD.

  Approved by:	ports (tobik)
  PR:	233842
  Differential Revision: https://reviews.freebsd.org/D18477

Changes:
  head/devel/Makefile
  head/devel/jetbrains-phpstorm/
  head/devel/jetbrains-phpstorm/Makefile
  head/devel/jetbrains-phpstorm/distinfo
  head/devel/jetbrains-phpstorm/files/
  head/devel/jetbrains-phpstorm/files/phpstorm.1
  head/devel/jetbrains-phpstorm/files/phpstorm.desktop.in
  head/devel/jetbrains-phpstorm/files/phpstorm.in
  head/devel/jetbrains-phpstorm/files/pkg-message.in
  head/devel/jetbrains-phpstorm/pkg-descr
  head/devel/jetbrains-phpstorm/pkg-plist
Comment 12 Pedro F. Giffuni freebsd_committer 2019-01-11 18:57:52 UTC
Committed !